column id format 99;
column PATIENT_NAME format A30;
column PATIENT_ID format A10;
column MODALITY format A10;

select m.id, t.PATIENT_NAME, t.PATIENT_ID, t.MODALITY
from medical_image_table m,
  xmltable
    (xmlnamespaces
      (default 'http://xmlns.oracle.com/ord/dicom/metadata_1_0'),
               '/DICOM_OBJECT' 
       passing m.dicom.metadata
       columns
         patient_name varchar2(100) 
           path './*[@name="Patient''''s Name"]/VALUE',
        patient_id varchar2(100) 
           path './*[@name="Patient ID"]',
        modality varchar2(100) 
           path './*[@name="Modality"]'
        ) t ;
